scmlib_sub_DATA = $(sources)
scmlib_sub_DATA += $(binaries)
-scmlib_sub_DATA += load.scm imail-@MIT_SCHEME_OS_SUFFIX@.pkd
+scmlib_sub_DATA += make.scm imail-@MIT_SCHEME_OS_SUFFIX@.pkd
-# Set these to the defaults used by Scheme.
-infodir = $(datarootdir)/info
-htmldir = $(libdir)/mit-scheme-pucked/doc
-dvidir = $(libdir)/mit-scheme-pucked/doc
-pdfdir = $(libdir)/mit-scheme-pucked/doc
+info_TEXINFOS = mit-scheme-pucked-imail.texi
+AM_MAKEINFOHTMLFLAGS = --no-split
+
+# The shared system documentation directory...
+docdir = $(datarootdir)/doc/mit-scheme-pucked
+# ...with separate html and pdf subdirectories.
+htmldir = $(datarootdir)/doc/mit-scheme-pucked/html
+pdfdir = $(datarootdir)/doc/mit-scheme-pucked/pdf
+# ...and dvi and ps subdirectories?
+dvidir = $(datarootdir)/doc/mit-scheme-pucked/dvi
+psdir = $(datarootdir)/doc/mit-scheme-pucked/ps
imail-browser.bci: stamp-scheme
imail-browser.com: stamp-scheme
CLEANFILES = *.bin *.ext *.com *.bci *.moc *.fni *.crf *.fre *.pkd
#TESTS = imail-check.sh
+#CLEANFILES += test-output
ETAGS_ARGS = $(sources)
TAGS_DEPENDENCIES = $(sources)
-EXTRA_DIST += $(sources) compile.sh load.scm compile.scm imail.pkg
+EXTRA_DIST += $(sources) compile.sh make.scm compile.scm imail.pkg debian
install-data-hook:
- echo '(update-optiondb "$(DESTDIR)$(scmlibdir)")' \
- | $(MIT_SCHEME_EXE) --batch-mode
+ if [ -f "$(DESTDIR)$(scmlibdir)optiondb.scm" ]; then \
+ echo '(update-optiondb "$(DESTDIR)$(scmlibdir)")' \
+ | $(MIT_SCHEME_EXE) --batch-mode; fi
uninstall-hook:
- echo '(update-optiondb "$(DESTDIR)$(scmlibdir)")' \
- | $(MIT_SCHEME_EXE) --batch-mode
+ if [ -f "$(DESTDIR)$(scmlibdir)optiondb.scm" ]; then \
+ echo '(update-optiondb "$(DESTDIR)$(scmlibdir)")' \
+ | $(MIT_SCHEME_EXE) --batch-mode; fi
[ -d "$(DESTDIR)$(scmlib_subdir)" ] \
&& rmdir "$(DESTDIR)$(scmlib_subdir)"
--- /dev/null
+mit-scheme-pucked-imail (1.21.1-1) experimental; urgency=low
+
+ * Initial Debianization.
+
+ -- Friar Puck <puck@birchwood-abbey.net> Sun, 12 Jun 2016 00:00:00 -0700
--- /dev/null
+Source: mit-scheme-pucked-imail
+Section: lisp
+Priority: optional
+Maintainer: Friar Puck <puck@birchwood-abbey.net>
+Build-Depends: debhelper (>= 9), mit-scheme-pucked-edwin (>= 3.116.1)
+Standards-Version: 3.9.4
+Homepage: http://birchwood-abbey.net/~matt/Scheme/
+Vcs-Git: git://birchwood-abbey.net/~matt/mit-scheme.git
+Vcs-Browser: http://birchwood-abbey.net/gitweb/?p=mit-scheme.git;a=summary
+
+Package: mit-scheme-pucked-imail
+Architecture: any
+Depends: mit-scheme-pucked-edwin (>= 3.116.1)
+Description: IMail plugin for Friar Puck's MIT/GNU Scheme
+ This package provides mit-scheme-pucked-edwin with an imail command
+ for reading email on IMAP servers.
--- /dev/null
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: mit-scheme-pucked-imail
+Source: http://birchwood-abbey.net/~matt/Scheme/
+
+Files: *
+Copyright: 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
+ 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005,
+ 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016
+ Massachusetts Institute of Technology
+License: GPL-2+
+ This package is an IMail plugin for Friar Puck's MIT/GNU Scheme.
+ .
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or (at
+ your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful, but
+ WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this package; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301,
+ USA.
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
--- /dev/null
+Document: mit-scheme-pucked-imail
+Title: IMAIL User's Manual
+Author: Chris Hanson
+Abstract: IMAIL is a program for reading electronic mail.
+ IMAIL runs inside of Edwin, MIT/GNU Scheme's Emacs-like editor, and
+ is intended to be similar to Rmail while providing support for IMAP
+ and MIME. This manual describes how to use IMAIL.
+Section: Network/Communication
+
+Format: HTML
+Index: /usr/share/doc/mit-scheme-pucked/html/mit-scheme-pucked-imail.html
+Files: /usr/share/doc/mit-scheme-pucked/html/mit-scheme-pucked-imail.html
+
+Format: PDF
+Files: /usr/share/doc/mit-scheme-pucked/pdf/mit-scheme-pucked-imail.pdf.gz
--- /dev/null
+NEWS
+README
--- /dev/null
+#!/bin/sh
+
+set -e
+
+echo '(update-optiondb (system-library-directory-pathname))' \
+| mit-scheme-pucked --batch-mode
+echo '(update-html-index "@HTMLDIR@/")' \
+| mit-scheme-pucked --batch-mode
+
+exit 0
--- /dev/null
+#!/bin/sh
+
+set -e
+
+echo '(update-optiondb (system-library-directory-pathname))' \
+| mit-scheme-pucked --batch-mode
+echo '(update-html-index "@HTMLDIR@/")' \
+| mit-scheme-pucked --batch-mode
+
+exit 0
--- /dev/null
+#!/usr/bin/make -f
+
+export MIT_SCHEME_EXE=mit-scheme-pucked
+
+%:
+ dh $@
+
+override_dh_auto_install: debian/postinst debian/postrm
+ dh_auto_install -- install-html install-pdf
+
+debian/%: debian/%.in
+ sed 's|@HTMLDIR@|/usr/share/doc/mit-scheme-pucked/html|g' < $< > $@
--- /dev/null
+3.0 (quilt)
--- /dev/null
+version=3
+http://birchwood-abbey.net/~matt/Scheme/mit-scheme-pucked-imail-(.*)\.tar\.gz debian uupdate
\input texinfo @c -*-texinfo-*-
@comment %**start of header
-@setfilename mit-scheme-imail
-@set EDITION 1.9
-@set VERSION 1.19
-@set UPDATED 2011-10-14
+@setfilename mit-scheme-pucked-imail.info
+@include version.texi
@settitle IMAIL @value{VERSION}
@comment %**end of header
@setchapternewpage on